Subject: bug#32728: bug#32729: Xemacs 23 times as fast as GNU Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Oct 2019 21:46:30 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Sun, 13 Oct 2019 19:47:16 +0200
> 
> >> Nope.  Does Emacs need to do a lot of recomputing when going to
> >> multibyte buffers?
> >
> > Of course: we try to display the multibyte text as characters, search
> > for fonts, invoke bidi reordering, etc.
> 
> I tried:
> 
> (benchmark-run
>     1
>   (call-process "dd" nil (with-current-buffer
> 			     (get-buffer-create " *zeroes*")
> 			   (set-buffer-multibyte nil)
> 			   (current-buffer))
> 		nil "if=/dev/zero" "bs=4096" "count=250000"))
> 
> and then jumped to the buffer, and Emacs hung anyway.  (That is, I
> killed Emacs after a minute, so I don't know whether it would have
> recovered after a while...)

Do that, _and_ move point to the beginning of the buffer.